MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Add MCP to BundleCreate BundleRemove MCP from BundleDelete BundleClear Bundle-Entry Credential AssignmentFollow Public BundleGet BundleGet Public BundleList Approved Schema Revisions For A Bundle Entry's ListingUpdate Bundle Entry PermissionsUpdate BundleSet Bundle-Entry Credential AssignmentList BundlesUnfollow Public Bundle
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceBundles

List Approved Schema Revisions For A Bundle Entry's Listing

GET
/v1/bundles/{bundle_id}/entries/{entry_id}/schema-revisions

Approved-only schema revisions for the listing behind this bundle entry - what the pin picker may offer, scoped to bundle-visibility access rather than listing-edit access, since a bundle owner pinning a third-party publisher's listing does not have (and should not need) edit rights on that listing.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

bundle_id*Bundle Id
Formatuuid
entry_id*Entry Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema-revisions"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "revision": 0,    "content_hash": "string",    "source": "string",    "status": "string",    "detected_at": "2019-08-24T14:15:22Z",    "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be",    "reviewed_at": "2019-08-24T14:15:22Z"  }]
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get Public Bundle

Previous Page

Update Bundle Entry Permissions

Next Page